Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# TAO_Notify_RT_Properties Class Reference

RT specifc global properties are stored here. More...

`#include <RT_Properties.h>`

List of all members.

## Public Methods
| TAO_Notify_RT_Properties (void)
| Constuctor.
| ~TAO_Notify_RT_Properties ()
| Destructor.
RTCORBA::RTORB_ptr | rt_orb (void)
void | rt_orb (RTCORBA::RTORB_ptr rt_orb)
RTCORBA::Current_ptr | current (void)
void | current (RTCORBA::Current_ptr current)
## Protected Attributes
RTCORBA::RTORB_var | rt_orb_
| RT-ORB.
RTCORBA::Current_var | current_
| Current.
## Friends
class | TAO_Singleton< TAO_Notify_RT_Properties, TAO_SYNCH_MUTEX >

## Detailed Description

RT specifc global properties are stored here.

## Constructor & Destructor Documentation

TAO_Notify_RT_Properties::TAO_Notify_RT_Properties | ( | void |  | ) |

| Constuctor.

TAO_Notify_RT_Properties::~TAO_Notify_RT_Properties | ( |  | ) |

| Destructor.

## Member Function Documentation

void TAO_Notify_RT_Properties::current | ( | RTCORBA::Current_ptr | current | ) |

RTCORBA::Current_ptr TAO_Notify_RT_Properties::current | ( | void |  | ) |

void TAO_Notify_RT_Properties::rt_orb | ( | RTCORBA::RTORB_ptr | rt_orb | ) |

RTCORBA::RTORB_ptr TAO_Notify_RT_Properties::rt_orb | ( | void |  | ) |

## Friends And Related Function Documentation

friend class TAO_Singleton< TAO_Notify_RT_Properties, TAO_SYNCH_MUTEX >`[friend]`

## Member Data Documentation

RTCORBA::Current_var TAO_Notify_RT_Properties::current_`[protected]`

| Current.

RTCORBA::RTORB_var TAO_Notify_RT_Properties::rt_orb_`[protected]`

| RT-ORB.

The documentation for this class was generated from the following files:

- RT_Properties.h
- RT_Properties.cpp